# Source Format - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Source Format

Changes in sing-box 1.14.0

version `5`

Changes in sing-box 1.13.0

version `4`

Changes in sing-box 1.11.0

version `3`

Changes in sing-box 1.10.0

version `2`

Since sing-box 1.8.0

### Structure

    {
      "version": 3,
      "rules": []
    }

### Compile

Use `sing-box rule-set compile [--output <file-name>.srs] <file-name>.json` to compile source to binary rule-set.

### Fields

#### version

Required

Version of rule-set.

- 1: sing-box 1.8.0: Initial rule-set version.
- 2: sing-box 1.10.0: Optimized memory usages of `domain_suffix` rules in binary rule-sets.
- 3: sing-box 1.11.0: Added `network_type`, `network_is_expensive` and `network_is_constrainted` rule items.
- 4: sing-box 1.13.0: Added `network_interface_address` and `default_interface_address` rule items.
- 5: sing-box 1.14.0: Added `package_name_regex` rule item.

#### rules

Required

List of Headless Rule.